Name:           python-enchant
Version:        1.6.5
Release:        %mkrel 6
Summary:        Python bindings for Enchant spellchecking library
Group:          Development/Python
License:        LGPLv2+
URL:            http://pythonhosted.org/pyenchant/
Source0:        http://pypi.python.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
# python-distribute got merged into python-setuptools
Patch0:         python-enchant-1.6.5-disable-distribute-setup.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(enchant)
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python)
Provides:       PyEnchant = %{version}-%{release}
Requires:       enchant >= 1.5.0

%description
A spellchecking library for Python, based on the Enchant library.

%package -n python3-enchant
Summary:        Python3 bindings for Enchant spellchecking library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
Requires:       enchant >= 1.5.0

%description -n python3-enchant
A spellchecking library for Python3, based on the Enchant library.

%prep
%setup -q -n pyenchant-%{version}
%patch0 -p1 -b .disable-distribute-setup

#for python3 build
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/*.egg-info
# Directories used in windows build
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/enchant/lib
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/enchant/share
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/*.egg-info
# Directories used in windows build
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/enchant/lib
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/enchant/share


%files
%doc LICENSE.txt README.txt TODO.txt
%{python_sitelib}/enchant/

%files -n python3-enchant
%doc LICENSE.txt README.txt TODO.txt
%{python3_sitelib}/enchant/


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.5-6.mga4
+ Revision: 533098
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 philippem <philippem> 1.6.5-5.mga4
+ Revision: 471672
- fix fail build because python-distribute got merged into python-setuptools

* Sat Jul 06 2013 wally <wally> 1.6.5-4.mga4
+ Revision: 450737
- fix URL

* Sat Jul 06 2013 wally <wally> 1.6.5-3.mga4
+ Revision: 450729
- build python3 version too
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 1.6.5-2.mga3
+ Revision: 378801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 02 2011 ahmad <ahmad> 1.6.5-1.mga1
+ Revision: 62734
- update to 1.6.5
- imported package python-enchant


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.5.3-2mdv2011.0
+ Revision: 590146
- rebuild for python 2.7

* Wed Nov 11 2009 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 464478
- new version 1.5.3

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-4mdv2010.0
+ Revision: 442103
- rebuild

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.4.0-3mdv2009.1
+ Revision: 318717
- fix str fmt
- rebuild for new python

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 269022
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 05 2008 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 215211
- New version 1.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 98308
- BR python-setuptools

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 98302
- import fedora package
- Created package structure for python-enchant.

